//---------------------------------------------------------------------------
#ifndef grapEllipseH
#define grapEllipseH
#include "grapBasic.h"
//---------------------------------------------------------------------------
class TGrapEllipse : public TGrapBasic
{
private:
    TObjectList   *chunkList[4];
    structPtChunk *chunkItem[4];
protected:
    //
public:
     __fastcall TGrapEllipse(int imgHeight);
    virtual __fastcall ~TGrapEllipse(void);
    //
    UnicodeString __fastcall ClassName(void);
    bool __fastcall DrawBound(TRect *boundRect);
    void __fastcall DrawCoords(int xc, int yc, int rx, int ry);
	void __fastcall GetBitmapPoints(int lineStep);
	void __fastcall GetScreenPoints(int lineStep);
	void __fastcall Rotate(TPoint *origin, double angle);
    void __fastcall Reset(void);
};
#endif
