//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "ievect"
#pragma link "ieview"
#pragma link "imageenview"
#pragma link "cspin"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
mouseDown = false;
grapEllipse = 0;
boundRect.left = 0;
boundRect.right = 0;
boundRect.top = 0;
boundRect.bottom = 0;
}
//---------------------------------------------------------------------------
__fastcall TForm1::~TForm1(void)
{
if (grapEllipse)
   delete grapEllipse;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormShow(TObject *Sender)
{
TIEBitmap *map = new TIEBitmap(1024, 768, ie24RGB);
map->Fill(clWhite);
PaintView->IEBitmap->AssignImage(map);
delete map;
grapEllipse = new TGrapEllipse(PaintView->IEBitmap->Height);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::PaintViewMouseDown(TObject *Sender, TMouseButton Button, TShiftState Shift,
		  int X, int Y)
{
PaintView->RemoveAllObjects();
boundRect.left = 0;
boundRect.right = 0;
boundRect.top = 0;
boundRect.bottom = 0;
mouseDown = true;
mDownX = PaintView->XScr2Bmp(X);
mDownY = PaintView->YScr2Bmp(Y);
hobj = PaintView->AddNewObject();
PaintView->ObjKind[hobj] = iekPOLYLINE;
PaintView->ObjPenColor[hobj] = clRed;
PaintView->ObjPenWidth[hobj] = 4;
PaintView->ObjPolylineClosed[hobj] = true;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::PaintViewMouseMove(TObject *Sender, TShiftState Shift, int X,
		  int Y)
{
if (!mouseDown)
   return;
X = PaintView->XScr2Bmp(X);
Y = PaintView->YScr2Bmp(Y);
boundRect.left  = mDownX;
boundRect.right = X;
boundRect.top   = mDownY;
boundRect.bottom   = Y;
if (boundRect.Width() == 0 || boundRect.Height() == 0)
  return;
grapEllipse->DrawBound(&boundRect);
grapEllipse->GetScreenPoints(editResolution->Value);
PaintView->SetObjPolylinePoints(hobj, grapEllipse->PointScreen, grapEllipse->CountScreen - 1);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::PaintViewMouseUp(TObject *Sender, TMouseButton Button, TShiftState Shift,
		  int X, int Y)
{
mouseDown = false;
trackRotateChange(this);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::trackRotateChange(TObject *Sender)
{
labAngle->Caption = "angle = " + IntToStr(trackRotate->Position);
if (boundRect.Width() == 0 || boundRect.Height() == 0)
   return;
grapEllipse->DrawBound(&boundRect);
if (trackRotate->Position != 0)
   {
   TPoint rotOrig;
   rotOrig.x = boundRect.left + (boundRect.Width()>>1);
   rotOrig.y = boundRect.top + (boundRect.Height()>>1);
   double alpha = - (double)trackRotate->Position *M_PI/180.0;
   grapEllipse->Rotate(&rotOrig, alpha);
   }
grapEllipse->GetScreenPoints(editResolution->Value);
PaintView->SetObjPolylinePoints(hobj, grapEllipse->PointScreen, grapEllipse->CountScreen - 1);
}
//---------------------------------------------------------------------------

